Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
 

How to Add a Wire of TopoDS_Shape

How to Add a Wire of TopoDS_Shape
Ausekar Shashikant R 2013/03/30 00:06
Hello Sir,
I have create a wire (mysgWire) of 6 edges and transformed/Rotated that wire(mysgWire) about origin. When I have rotated that wire it comes in TopoDS_Shape, my problem is that how to add a wire having TopoDS_Shape class.
My Code in short as:
{
BRepBuilderAPI_MakeWire sgWire;
sgWire.Add(Arc31);     
     sgWire.Add(TE8);
     sgWire.Add(Arc11);
     sgWire.Add(Arc21);     
     sgWire.Add(Arc41);
     sgWire.Add(TE9);     
     sgWire.Add(Arc51);
TopoDS_Wire mysgWire = sgWire.Wire();

gp_Pnt P1(0,0,0);
gp_Dir xDir(0,0,1);
gp_Ax1 xAxis(P1, xDir);
double gtangle2 = sg.m_gt*PI/180;
     gp_Trsf myTrsf2;
     myTrsf2.SetRotation(xAxis,gtangle2);

     TopoDS_Shape teeth2 = BRepBuilderAPI_Transform (mysgWire, myTrsf2);

}

Now if want to make a complete wire of mysgWire and teeth2, What I have to do.

Waiting for urgent rpl.

Thanks in advance.

ID: shashiausekar@gmail.com
Alexander Luger 2013/04/11 10:59
BRepBuilderAPI_MakeWire aWireBuilder;
aWireBuilder.Add(mysgWire);
aWireBuilder.Add(TopoDS::Wire(teeth2));
TopoDS_Wire completeWire = aWireBuilder.Wire();

That should do it.

Alex
Ausekar Shashikant R 2013/04/16 10:44
Hello Alex
Thanks on your rpl. I had tried it and successed in it. If u know how to add IGES Data exchange format for solid model pls. rpl me..

Thanks in advance...

 
 
Latest news
  • Open CASCADE Technology 6.8.0 is available for download!
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map